sensorfw: CompassData Class Reference

sensorfw

Public Member Functions | Public Attributes | List of all members
CompassData Class Reference

Datatype for compass measurements. More...

`#include <orientationdata.h>`

Inheritance diagram for CompassData:

## Public Member Functions
| CompassData ()
| Default constructor.
| CompassData (const quint64 &timestamp, int degrees, int level)
| Constructor.
| CompassData (const quint64 &timestamp, int degrees, int level, int correctedDegrees, int rawDegrees)
| Constructor.
Public Member Functions inherited from TimedData
| TimedData (const quint64 &timestamp)
| Constructor.

## Public Attributes
int | degrees_
| Angle to north which may be declination corrected or not.
int | rawDegrees_
| Angle to north without declination correction.
int | correctedDegrees_
| Declination corrected angle to north.
int | level_
| Magnetometer calibration level.
Public Attributes inherited from TimedData
quint64 | timestamp_
| monotonic time (microsec)

## Detailed Description

Datatype for compass measurements.

Definition at line 111 of file orientationdata.h.

## Constructor & Destructor Documentation

## ◆ CompassData() [1/3]

CompassData::CompassData | ( |  | ) |
| inline

Default constructor.

Definition at line 117 of file orientationdata.h.

## ◆ CompassData() [2/3]

CompassData::CompassData | ( | const quint64 & | timestamp,
|  | int | degrees,
|  | int | level )
| inline

Constructor.

Parameters

  timestamp | timestamp as monotonic time (microsec).
  degrees | Angle to north.
  level | Magnetometer calibration level.

Definition at line 126 of file orientationdata.h.

## ◆ CompassData() [3/3]

CompassData::CompassData | ( | const quint64 & | timestamp,
|  | int | degrees,
|  | int | level,
|  | int | correctedDegrees,
|  | int | rawDegrees )
| inline

Constructor.

Parameters

  timestamp | timestamp as monotonic time (microsec).
  degrees | Angle to north.
  level | Magnetometer calibration level.
  correctedDegrees | Declination corrected angle to north.
  rawDegrees | Not declination corrected angle to north.

Definition at line 138 of file orientationdata.h.

## Member Data Documentation

## ◆ correctedDegrees_

int CompassData::correctedDegrees_

Declination corrected angle to north.

Definition at line 143 of file orientationdata.h.

## ◆ degrees_

int CompassData::degrees_

Angle to north which may be declination corrected or not.

This is the value apps should use

Definition at line 141 of file orientationdata.h.

## ◆ level_

int CompassData::level_

Magnetometer calibration level.

Higher value means better calibration.

Definition at line 144 of file orientationdata.h.

## ◆ rawDegrees_

int CompassData::rawDegrees_

Angle to north without declination correction.

Definition at line 142 of file orientationdata.h.

The documentation for this class was generated from the following file:

- datatypes/orientationdata.h